# Class TagSelector
A structure to select a tag from a TagList.

All Subcl's | AutoSeqFormat
Defined in | <seqan/basic.h>
Signature | `template <typename TTagList> struct TagSelector;`

## Template Parameters

`TTagList` | A tag list.

## Member Variable Overview

- `T TagSelector::tagId`
  Stores the index of a Tag in the tag list.

## Member Variables Detail

### `T TagSelector::tagId`

Stores the index of a Tag in the tag list.

#### Dox Sources

    /*!
     * @class TagSelector
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief A structure to select a tag from a @link TagList @endlink.
     *
     * @signature template <typename TTagList> struct TagSelector;
     *
     * @tparam TTagList A tag list.
     *
     * @var T TagSelector::tagId;
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Stores the index of a Tag in the tag list.
     */